For the complete documentation index, see llms.txt. This page is also available as Markdown.

Updates AutoCertificate

Changes AutoCertificate with the provided ID. Values provides will replace the existing data.

patch
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
autoCertificateIdstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
Body
metadataanyOptional

Metadata

Responses
200

AutoCertificate successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AutoCertificate.

Example: /auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a
patch/auto-certificates/{autoCertificateId}
PATCH /auto-certificates/{autoCertificateId} HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "metadata": {},
  "properties": {
    "name": "My name"
  }
}
{
  "id": "f88467f8-a2d6-5871-83b9-e10f23d0a48a",
  "type": "autocertificate",
  "href": "/auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "Issue in progress.",
    "lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141"
  },
  "properties": {
    "provider": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
    "commonName": "www.example.com",
    "keyAlgorithm": "rsa4096",
    "name": "My Auto renewed certificate",
    "subjectAlternativeNames": [
      "app.example.com"
    ]
  }
}

Last updated

Was this helpful?